GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
      Order Placement & Management
      Order Status & Trade History
      Volume & Account Tiers
        Get Trading VolumeGet Notional Trading Volume
    Market Data API
    Fund Management API
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

Get Trading Volume

TradingOrdersGet Trading Volume

Get Trading Volume

POSThttps://api.gemini.com/v1/tradevolume

Get the trading volume for each symbol across a 30-day trailing window.

POSTv1/tradevolume
curl --request POST \
  --url https://api.gemini.com/v1/tradevolume \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/tradevolume",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader or Auditor role assigned. See Roles for more information.

The OAuth scope must have history:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The API endpoint pathExample: /v1/tradevolume
noncestring | integer·required
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to place the order. Only available for exchange accounts.Example: primary
Example request body
{
  "request": "/v1/tradevolume",
  "nonce": "<nonce>"
}

Responses

The trade volume

symbolstring
Example: btcusd
base_currencystring
Example: BTC
quote_currencystring
Example: USD
notional_currencystring
Example: USD
data_datestring
Example: 2020-06-02
total_volume_basestring
Example: 10.5
maker_buy_sell_ratiostring
Example: 1.2
buy_maker_basestring
Example: 5.5
buy_maker_notionalstring
Example: 50050
buy_maker_countinteger
Example: 10
sell_maker_basestring
Example: 5
sell_maker_notionalstring
Example: 45500
sell_maker_countinteger
Example: 8
buy_taker_basestring
Example: 8.5
buy_taker_notionalstring
Example: 77350
buy_taker_countinteger
Example: 15
sell_taker_basestring
Example: 7.5
sell_taker_notionalstring
Example: 68250
sell_taker_countinteger
Example: 12
Example Responses
[
  [
    {
      "symbol": "btcusd",
      "base_currency": "BTC",
      "notional_currency": "USD",
      "data_date": "2019-01-10",
      "total_volume_base": 8.06021756,
      "maker_buy_sell_ratio": 1,
      "buy_maker_base": 6.06021756,
      "buy_maker_notional": 23461.3515203844,
      "buy_maker_count": 34,
      "sell_maker_base": 0,
      "sell_maker_notional": 0,
      "sell_maker_count": 0,
      "buy_taker_base": 0,
      "buy_taker_notional": 0,
      "buy_taker_count": 0,
      "sell_taker_base": 2,
      "sell_taker_notional": 7935.66,
      "sell_taker_count": 2
    },
    {
      "symbol": "ltcusd",
      "base_currency": "LTC",
      "notional_currency": "USD",
      "data_date": "2019-01-11",
      "total_volume_base": 3,
      "maker_buy_sell_ratio": 0,
      "buy_maker_base": 0,
      "buy_maker_notional": 0,
      "buy_maker_count": 0,
      "sell_maker_base": 0,
      "sell_maker_notional": 0,
      "sell_maker_count": 0,
      "buy_taker_base": 3,
      "buy_taker_notional": 98.22,
      "buy_taker_count": 3,
      "sell_taker_base": 0,
      "sell_taker_notional": 0,
      "sell_taker_count": 0
    }
  ]
]
PreviousList Past TradesNextGet Notional Trading Volume